% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cluster_im_glmrob.R
\name{fit_model_g}
\alias{fit_model_g}
\title{Fit a Generalized Linear Model with Robust Estimation}
\usage{
fit_model_g(engine, formula, data, family, method, ...)
}
\arguments{
\item{engine}{A character string specifying the engine to be used for model
fitting. Must be either "robust" or "robustbase".}

\item{formula}{An object of class formula (or one that can be coerced to that
class): a symbolic description of the model to be fitted.}

\item{data}{A dataframe containing the variables in the model.}

\item{family}{A description of the error distribution and link function to be
used in the model (See stats::family for details of family
functions).}

\item{method}{Fitting method to be used. Can vary depending on the selected
engine.}

\item{...}{Additional arguments to be passed to the underlying fitting
function.}
}
\value{
A fitted model
}
\description{
This function fits a generalized linear model using robust estimation methods.
It allows the use of either the 'robust' or 'robustbase' packages for fitting
the model.
}
\keyword{internal}
